Tool: CreateBackupPlanAssociation
Creates a new BackupPlanAssociation, linking a workload to a BackupPlan to start automated backups.
The following sample demonstrate how to use curl to invoke the CreateBackupPlanAssociation MCP tool.
| Curl Request |
|---|
curl --location 'https://backupdr.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "CreateBackupPlanAssociation", "arguments": { // provide these details according to the tool's MCP specification } }, "jsonrpc": "2.0", "id": 1 }' |
Input Schema
Request message for creating a backup plan.
CreateBackupPlanAssociationRequest
| JSON representation |
|---|
{
"parent": string,
"backupPlanAssociationId": string,
"backupPlanAssociation": {
object ( |
| Fields | |
|---|---|
parent |
Required. The backup plan association project and location in the format |
backupPlanAssociationId |
Required. The name of the backup plan association to create. The name must be unique for the specified project and location. |
backupPlanAssociation |
Required. The resource being created |
requestId |
Optional. An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000). |
BackupPlanAssociation
| JSON representation |
|---|
{ "name": string, "resourceType": string, "resource": string, "backupPlan": string, "createTime": string, "updateTime": string, "state": enum ( |
| Fields | |
|---|---|
name |
Output only. Identifier. The resource name of BackupPlanAssociation in below format Format : projects/{project}/locations/{location}/backupPlanAssociations/{backupPlanAssociationId} |
resourceType |
Required. Immutable. Resource type of workload on which backupplan is applied |
resource |
Required. Immutable. Resource name of workload on which the backup plan is applied. The format can either be the resource name (e.g., "projects/my-project/zones/us-central1-a/instances/my-instance") or the full resource URI (e.g., "https://www.googleapis.com/compute/v1/projects/my-project/zones/us-central1-a/instances/my-instance"). |
backupPlan |
Required. Resource name of backup plan which needs to be applied on workload. Format: projects/{project}/locations/{location}/backupPlans/{backupPlanId} |
createTime |
Output only. The time when the instance was created. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
updateTime |
Output only. The time when the instance was updated. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
state |
Output only. The BackupPlanAssociation resource state. |
rulesConfigInfo[] |
Output only. The config info related to backup rules. |
dataSource |
Output only. Resource name of data source which will be used as storage location for backups taken. Format : projects/{project}/locations/{location}/backupVaults/{backupvault}/dataSources/{datasource} |
backupPlanRevisionId |
Output only. The user friendly revision ID of the Example: v0, v1, v2, etc. |
backupPlanRevisionName |
Output only. The resource id of the Format: |
Union field resource_properties. Properties of the protected Google Cloud resource. resource_properties can be only one of the following: |
|
cloudSqlInstanceBackupPlanAssociationProperties |
Output only. Cloud SQL instance's backup plan association properties. |
filestoreInstanceBackupPlanAssociationProperties |
Output only. Filestore instance's backup plan association properties. |
alloydbClusterBackupPlanAssociationProperties |
Output only. AlloyDB cluster's backup plan association properties. |
Timestamp
| JSON representation |
|---|
{ "seconds": string, "nanos": integer } |
| Fields | |
|---|---|
seconds |
Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z). |
nanos |
Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive. |
RuleConfigInfo
| JSON representation |
|---|
{ "ruleId": string, "lastBackupState": enum ( |
| Fields | |
|---|---|
ruleId |
Output only. Backup Rule id fetched from backup plan. |
lastBackupState |
Output only. The last backup state for rule. |
lastBackupError |
Output only. google.rpc.Status object to store the last backup error. |
lastSuccessfulBackupConsistencyTime |
Output only. The point in time when the last successful backup was captured from the source. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
Status
| JSON representation |
|---|
{ "code": integer, "message": string, "details": [ { "@type": string, field1: ..., ... } ] } |
| Fields | |
|---|---|
code |
The status code, which should be an enum value of |
message |
A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the |
details[] |
A list of messages that carry the error details. There is a common set of message types for APIs to use. An object containing fields of an arbitrary type. An additional field |
Any
| JSON representation |
|---|
{ "typeUrl": string, "value": string } |
| Fields | |
|---|---|
typeUrl |
Identifies the type of the serialized Protobuf message with a URI reference consisting of a prefix ending in a slash and the fully-qualified type name. Example: type.googleapis.com/google.protobuf.StringValue This string must contain at least one The prefix is arbitrary and Protobuf implementations are expected to simply strip off everything up to and including the last All type URL strings must be legal URI references with the additional restriction (for the text format) that the content of the reference must consist only of alphanumeric characters, percent-encoded escapes, and characters in the following set (not including the outer backticks): In the original design of |
value |
Holds a Protobuf serialization of the type described by type_url. A base64-encoded string. |
CloudSqlInstanceBackupPlanAssociationProperties
| JSON representation |
|---|
{ "instanceCreateTime": string } |
| Fields | |
|---|---|
instanceCreateTime |
Output only. The time when the instance was created. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
FilestoreInstanceBackupPlanAssociationProperties
| JSON representation |
|---|
{ "instanceCreateTime": string } |
| Fields | |
|---|---|
instanceCreateTime |
Output only. The time when the instance was created. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
AlloyDBClusterBackupPlanAssociationProperties
| JSON representation |
|---|
{ "clusterUid": string } |
| Fields | |
|---|---|
clusterUid |
Output only. The cluster UID of the AlloyDB cluster. |
State
Enum for State of BackupPlan Association
| Enums | |
|---|---|
STATE_UNSPECIFIED |
State not set. |
CREATING |
The resource is being created. |
ACTIVE |
The resource has been created and is fully usable. |
DELETING |
The resource is being deleted. |
INACTIVE |
The resource has been created but is not usable. |
UPDATING |
The resource is being updated. |
LastBackupState
Enum for LastBackupState
| Enums | |
|---|---|
LAST_BACKUP_STATE_UNSPECIFIED |
State not set. |
FIRST_BACKUP_PENDING |
The first backup is pending. |
PERMISSION_DENIED |
The most recent backup could not be run/failed because of the lack of permissions. |
SUCCEEDED |
The last backup operation succeeded. |
FAILED |
The last backup operation failed. |
Output Schema
This resource represents a long-running operation that is the result of a network API call.
Operation
| JSON representation |
|---|
{ "name": string, "metadata": { "@type": string, field1: ..., ... }, "done": boolean, // Union field |
| Fields | |
|---|---|
name |
The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the |
metadata |
Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any. An object containing fields of an arbitrary type. An additional field |
done |
If the value is |
Union field result. The operation result, which can be either an error or a valid response. If done == false, neither error nor response is set. If done == true, exactly one of error or response can be set. Some services might not provide the result. result can be only one of the following: |
|
error |
The error result of the operation in case of failure or cancellation. |
response |
The normal, successful response of the operation. If the original method returns no data on success, such as An object containing fields of an arbitrary type. An additional field |
Any
| JSON representation |
|---|
{ "typeUrl": string, "value": string } |
| Fields | |
|---|---|
typeUrl |
Identifies the type of the serialized Protobuf message with a URI reference consisting of a prefix ending in a slash and the fully-qualified type name. Example: type.googleapis.com/google.protobuf.StringValue This string must contain at least one The prefix is arbitrary and Protobuf implementations are expected to simply strip off everything up to and including the last All type URL strings must be legal URI references with the additional restriction (for the text format) that the content of the reference must consist only of alphanumeric characters, percent-encoded escapes, and characters in the following set (not including the outer backticks): In the original design of |
value |
Holds a Protobuf serialization of the type described by type_url. A base64-encoded string. |
Status
| JSON representation |
|---|
{ "code": integer, "message": string, "details": [ { "@type": string, field1: ..., ... } ] } |
| Fields | |
|---|---|
code |
The status code, which should be an enum value of |
message |
A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the |
details[] |
A list of messages that carry the error details. There is a common set of message types for APIs to use. An object containing fields of an arbitrary type. An additional field |
Tool Annotations
Destructive Hint: ❌ | Idempotent Hint: ❌ | Read Only Hint: ❌ | Open World Hint: ❌